<?php
/*
 * Copyright (C) TIPS4DESIGN SRL - All Rights Reserved
 * Unauthorized copying of this file or any parts of it, via any medium is strictly prohibited
 * Only a valid UXWizz license holder should have access to this file
 * Proprietary and confidential
 * Written by Cristian Buleandră <cristian@uxwizz.com>, Sat 02 March 2024
 */

function getOptimizedDbSchema()
{
    $dbSchemaPath = __DIR__ . '/../../../setup/createdb.php';

    $DB_SCHEMA = file_get_contents($dbSchemaPath);
    $DB_SCHEMA = strstr($DB_SCHEMA, '$query[] = ', false);
    $DB_SCHEMA = strstr($DB_SCHEMA, '// Execute all queries', true);

    // Remove sections
    $pattern = '/`|\$query\[\] = "|IF NOT EXISTS|ON DELETE CASCADE|;"|ENGINE=InnoDB|DEFAULT CHARSET=utf8mb4/';
    $DB_SCHEMA_MINIFIED = preg_replace($pattern, "", $DB_SCHEMA);

    // Condens multiple white-spaces
    $DB_SCHEMA_MINIFIED = preg_replace("/\s{2,}/", " ", $DB_SCHEMA_MINIFIED);

    return $DB_SCHEMA_MINIFIED;
}
